## Name

gfs_acl_create_entry — create a new Gfarm ACL entry

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_create_entry(` | acl_p, |
| entry_p`)`; |

`gfarm_acl_t *acl_p`;
`gfarm_acl_entry_t *entry_p`;

## INPUT ARGUMENTS

`acl_p`

  A pointer of ACL structure type to add the new entry.

`entry_p`

  A pointer to get new ACL entry.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_init(3), gfs_acl_delete_entry(3), gfs_acl_free(3), gfs_acl_delete_entry(3)